<?php	
/*
*
*	Custom Visual Composer Scripts
*	---------------------------------------
*	Mascot Framework
* 	Copyright ThemeMascot 2017 - http://www.thememascot.com
*
*/

//Disable Frontend Editor of VC
//vc_disable_frontend();


/* Font Awesome Icons Param
================================================== */
/*function mascot_init_icons_param( $settings, $value ) {
 return 'null';
}*/
//add_shortcode_param( 'init_icons', 'mascot_init_icons_param', get_template_directory_uri().'/mascot-framework/wpbakery/assets/icon-init.js' );
    

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_tm_custom_columns_holder extends WPBakeryShortCodesContainer {}
	class WPBakeryShortCode_tm_custom_columns_holder_item extends WPBakeryShortCodesContainer {}


	class WPBakeryShortCode_tm_working_steps_holder extends WPBakeryShortCodesContainer {}
}

/* Add extra parameters to VC Row
================================================== */
vc_add_param( "vc_row", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Row Typography", 'educacion-wp' ) ,
	"param_name"	=> "section_typo",
	"description"	=> esc_html__( "Define the color typography of the text of this row.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'Default', 'educacion-wp' ) => '',
		esc_html__( 'Light Typography - on Dark Background', 'educacion-wp' ) => 'section-typo-light',
		esc_html__( 'Dark Typography - on White Background', 'educacion-wp' ) => 'section-typo-dark',
	) ,
	"weight" => "99"
));

vc_add_param( "vc_row", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Content Aligment", 'educacion-wp' ) ,
	"param_name"	=> "content_alignment",
	"description"	=> esc_html__( "Define the alignment of the container.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'Default', 'educacion-wp' )	=> '',
		esc_html__( 'Left', 'educacion-wp' )		=> 'left',
		esc_html__( 'Center', 'educacion-wp' )		=> 'center',
		esc_html__( 'Right', 'educacion-wp' )		=> 'right'
	) ,
	"weight" => "99"
));

vc_add_param( "vc_row", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Header Style on Scroll Over This Row", 'educacion-wp' ) ,
	"param_name"	=> "header_style_on_row",
	"description"	=> esc_html__( "Change header background color when it comes over this row.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'Default', 'educacion-wp' )	=> '',
		esc_html__( 'Light', 'educacion-wp' )		=> 'tm-light-header',
		esc_html__( 'Dark', 'educacion-wp' )		=> 'tm-dark-header',
	) ,
	"weight" => "99"
));

vc_add_param( "vc_row", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Add Background Image Overlay", 'educacion-wp' ) ,
	"param_name"	=> "add_bg_overlay",
	"description"	=> esc_html__( "If you want to add overlay on background image then choose yes.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'No', 'educacion-wp' ) 	=> 'no',
		esc_html__( 'Yes', 'educacion-wp' )	=> 'yes',
	) ,
	'group'			=> esc_html__( "Bg Image Overlay(TM)", 'educacion-wp' ),
));

vc_add_param( "vc_row", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Background Overlay Color", 'educacion-wp' ) ,
	"param_name"	=> "bg_overlay_color",
	"description"	=> esc_html__( "If you want to add overlay on background image then choose yes.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'None', 'educacion-wp' )					=> '',
		esc_html__( 'Dark', 'educacion-wp' )					=> 'dark',
		esc_html__( 'White', 'educacion-wp' )					=> 'white',
		esc_html__( 'Theme Color 1 Overlay', 'educacion-wp' )	=> 'theme-colored1',
		esc_html__( 'Theme Color 2 Overlay', 'educacion-wp' )	=> 'theme-colored2',
		esc_html__( 'Theme Color 3 Overlay', 'educacion-wp' )	=> 'theme-colored3',
		esc_html__( 'Theme Color 4 Overlay', 'educacion-wp' )	=> 'theme-colored4',
	) ,
	'dependency'	=> array('element' => 'add_bg_overlay', 'value' => 'yes'),
	'group'			=> esc_html__( "Bg Image Overlay(TM)", 'educacion-wp' ),
));

vc_add_param( "vc_row", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Background Overlay Color Opacity", 'educacion-wp' ) ,
	"param_name"	=> "bg_overlay_color_opacity",
	"value" => array(
		'1' 	=> '1',
		'2' 	=> '2',
		'3' 	=> '3',
		'4' 	=> '4',
		'5' 	=> '5',
		'6' 	=> '6',
		'7' 	=> '7',
		'8' 	=> '8',
		'9' 	=> '9',
	) ,
	'std'  => '7',
	'dependency'	=> array('element' => 'add_bg_overlay', 'value' => 'yes'),
	'group' 		=> esc_html__( "Bg Image Overlay(TM)", 'educacion-wp' ),
));


vc_add_param( "vc_row_inner", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Row Typography", 'educacion-wp' ) ,
	"param_name"	=> "section_typo",
	"description"	=> esc_html__( "Define the color typography of the text of this row.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'Default', 'educacion-wp' ) => '',
		esc_html__( 'Light Typography - on Dark Background', 'educacion-wp' ) => 'section-typo-light',
		esc_html__( 'Dark Typography - on White Background', 'educacion-wp' ) => 'section-typo-dark',
	) ,
	"weight" => "99"
));


vc_add_param( "vc_column", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Row Typography", 'educacion-wp' ) ,
	"param_name"	=> "section_typo",
	"description"	=> esc_html__( "Define the color typography of the text of this row.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'Default', 'educacion-wp' ) => '',
		esc_html__( 'Light Typography - on Dark Background', 'educacion-wp' ) => 'section-typo-light',
		esc_html__( 'Dark Typography - on White Background', 'educacion-wp' ) => 'section-typo-dark',
	) ,
	"weight" => "99"
));


vc_add_param( "vc_column_inner", array(
	"type"			=> 'dropdown',
	"heading"		=> esc_html__( "Row Typography", 'educacion-wp' ) ,
	"param_name"	=> "section_typo",
	"description"	=> esc_html__( "Define the color typography of the text of this row.", 'educacion-wp' ) ,
	"value" => array(
		esc_html__( 'Default', 'educacion-wp' ) => '',
		esc_html__( 'Light Typography - on Dark Background', 'educacion-wp' ) => 'section-typo-light',
		esc_html__( 'Dark Typography - on White Background', 'educacion-wp' ) => 'section-typo-dark',
	) ,
	"weight" => "99"
));
vc_add_param( "vc_column_inner", vc_map_add_css_animation());

vc_add_params( 'vc_btn', array(
	array(
		'type'              => 'dropdown',
		'heading'           => esc_html__( 'Color', 'educacion-wp' ),
		'param_name'        => 'color',
		'description'       => esc_html__( 'Select button color.', 'educacion-wp' ),
		'param_holder_class'=> 'vc_colored-dropdown vc_btn3-colored-dropdown',
		'value'				=> array(
			// Btn1 Colors
			esc_html__( 'Theme Color Style 1', 'educacion-wp' )	=> 'btn-theme-colored1',
			esc_html__( 'Theme Color Style 2', 'educacion-wp' )	=> 'btn-theme-colored2',
			esc_html__( 'Classic Grey', 'educacion-wp' )			=> 'default',
			esc_html__( 'Classic Blue', 'educacion-wp' )			=> 'primary',
			esc_html__( 'Classic Turquoise', 'educacion-wp' )		=> 'info',
			esc_html__( 'Classic Green', 'educacion-wp' )			=> 'success',
			esc_html__( 'Classic Orange', 'educacion-wp' )			=> 'warning',
			esc_html__( 'Classic Red', 'educacion-wp' )			=> 'danger',
			esc_html__( 'Classic Black', 'educacion-wp' )			=> 'inverse',
			// + Btn2 Colors (default color set)
		) + vc_get_shared( 'colors-dashed' ),
		'std'				=> 'grey',
		// must have default color grey
		'dependency'		=> array(
			'element' => 'style',
			'value_not_equal_to' => array(
				'custom',
				'outline-custom',
				'gradient',
				'gradient-custom',
			),
		),
	)
));

vc_remove_param( 'vc_wp_custommenu', 'el_class' );
vc_add_param( "vc_wp_custommenu", 
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__( 'Extra class name', 'educacion-wp' ),
		'param_name'	=> 'el_class',
		'description'	=> esc_html__( 'Use "awesome-custom-sidebar-menu" class for awesome looking menu. Style particular content element differently by using custom css class.', 'educacion-wp' ),
	)
);